my $expected_version = "1.38";
print("import: DateTime::Locale\n");
use DateTime::Locale;

if (defined DateTime::Locale->VERSION) {
	my $given_version = DateTime::Locale->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale->VERSION . '
');

}
print("import: DateTime::Locale::Base\n");
use DateTime::Locale::Base;

if (defined DateTime::Locale::Base->VERSION) {
	my $given_version = DateTime::Locale::Base->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale::Base->VERSION . '
');

}
print("import: DateTime::Locale::Catalog\n");
use DateTime::Locale::Catalog;

if (defined DateTime::Locale::Catalog->VERSION) {
	my $given_version = DateTime::Locale::Catalog->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale::Catalog->VERSION . '
');

}
print("import: DateTime::Locale::Data\n");
use DateTime::Locale::Data;

if (defined DateTime::Locale::Data->VERSION) {
	my $given_version = DateTime::Locale::Data->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale::Data->VERSION . '
');

}
print("import: DateTime::Locale::FromData\n");
use DateTime::Locale::FromData;

if (defined DateTime::Locale::FromData->VERSION) {
	my $given_version = DateTime::Locale::FromData->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale::FromData->VERSION . '
');

}
print("import: DateTime::Locale::Util\n");
use DateTime::Locale::Util;

if (defined DateTime::Locale::Util->VERSION) {
	my $given_version = DateTime::Locale::Util->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . DateTime::Locale::Util->VERSION . '
');

}
